# NFT詳細取得

## getnfts <a href="#getnfts" id="getnfts"></a>

指定した`nft_gdn_id`のNFT詳細を取得します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="260">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/getnfts</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="146">パラメータ</th><th width="136">種類</th><th width="78">必須</th><th width="234">詳細</th></tr></thead><tbody><tr><td>nft_gdn_ids</td><td>array[string]</td><td>yes</td><td>対象NFTの<code>nft_gdn_id</code></td></tr></tbody></table>

## **リクエストのサンプル** <a href="#sample-request" id="sample-request"></a>

```json
{
    "nft_gdn_ids": ["cf7faf94-a5ec-462c-ad06-1bd772fefe21"]
}
```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

```json
{
  "requests": {
    "nft_gdn_ids": [
      "cf7faf94-a5ec-462c-ad06-1bd772fefe21"
    ]
  },
  "nfts": [
    {
      "nft_gdn_id": "cf7faf94-a5ec-462c-ad06-1bd772fefe21",
      "token_id": "1",
      "contract_address": "0x0000000000000000000000000000000000000000",
      "receiver_wallet_address": "0x1111111111111111111111111111111111111111",
      "status": "deployed",
      "request_metadata": {
        "title": "NFT Name",
        "description": "Description of NFT",
        "file_fields": [
          {
            "key": "image",
            "url": "https://my.nftgarden.app/image.png"
          }
        ]
      },
      "metadata_url": "ipfs://Q7NGFbQXgUbN7mTTmwhN9nPcdkrgYqkR6xvMkhoX5Faken"
    }
  ]
}
```

## **失敗した場合のレスポンス例(ステータスコード400)** <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Request Validation Error",
    "message": "Invalid request body"
  }
}
```
